#ifndef FACEREC_SPLASH_H
#define FACEREC_SPLASH_H 1

#include <windows.h>

void CALLBACK Destroy(  HWND hwnd,         // handle to window
		UINT uMsg,         // WM_TIMER message
		UINT_PTR idEvent,  // timer identifier
		DWORD dwTime       // current system time
	);

class Splash {

	WNDCLASS wndClass;
	HWND  hWnd;
	HWND hParenWnd;
	HINSTANCE hInst;

	void Create();
	void Time();
	void ( CALLBACK* lpfnTimer )(HWND, UINT, UINT_PTR, DWORD);

public:
	void Show(HINSTANCE _hInst,HWND _hParenWnd);
};

#endif